import java.util.Stack;

public class Class579 {

   Class576 aClass576_7617;
   public Class515_Sub1 aClass515_Sub1_7618;
   boolean aBool7619;
   static Stack aStack7620 = new Stack();
   public static boolean aBool7621;


   public boolean method12231(Class545 var1, int var2, int var3) {
      int var4 = this.aClass515_Sub1_7618.method13392(-1812137602);
      if(null != this.aClass515_Sub1_7618.aClass89Array8446) {
         for(int var5 = 0; var5 < this.aClass515_Sub1_7618.aClass89Array8446.length; ++var5) {
            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 <<= var4;
            if(this.aClass515_Sub1_7618.aClass89Array8446[var5].method1780(-1694107173 * this.aClass576_7617.anInt7609 + var2, var3 + this.aClass576_7617.anInt7610 * 1946184583) && this.aClass515_Sub1_7618.method13391(var1, var2, var3, 938265386)) {
               this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
               return true;
            }

            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
         }
      }

      return false;
   }

   public boolean method12232(Class545 var1, int var2, int var3, int var4) {
      int var5 = this.aClass515_Sub1_7618.method13392(514665832);
      if(null != this.aClass515_Sub1_7618.aClass89Array8446) {
         for(int var6 = 0; var6 < this.aClass515_Sub1_7618.aClass89Array8446.length; ++var6) {
            this.aClass515_Sub1_7618.aClass89Array8446[var6].anInt883 <<= var5;
            if(this.aClass515_Sub1_7618.aClass89Array8446[var6].method1780(-1694107173 * this.aClass576_7617.anInt7609 + var2, var3 + this.aClass576_7617.anInt7610 * 1946184583) && this.aClass515_Sub1_7618.method13391(var1, var2, var3, -424007822)) {
               this.aClass515_Sub1_7618.aClass89Array8446[var6].anInt883 >>= var5;
               return true;
            }

            this.aClass515_Sub1_7618.aClass89Array8446[var6].anInt883 >>= var5;
         }
      }

      return false;
   }

   public boolean method12233(Class545 var1, int var2, int var3) {
      int var4 = this.aClass515_Sub1_7618.method13392(-139112420);
      if(null != this.aClass515_Sub1_7618.aClass89Array8446) {
         for(int var5 = 0; var5 < this.aClass515_Sub1_7618.aClass89Array8446.length; ++var5) {
            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 <<= var4;
            if(this.aClass515_Sub1_7618.aClass89Array8446[var5].method1780(-1694107173 * this.aClass576_7617.anInt7609 + var2, var3 + this.aClass576_7617.anInt7610 * 1946184583) && this.aClass515_Sub1_7618.method13391(var1, var2, var3, 1361571297)) {
               this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
               return true;
            }

            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
         }
      }

      return false;
   }

   public static Class579 method12234(boolean var0) {
      Stack var1 = aStack7620;
      synchronized(var1) {
         Class579 var2;
         if(aStack7620.isEmpty()) {
            var2 = new Class579();
         } else {
            var2 = (Class579)aStack7620.pop();
         }

         var2.aBool7619 = var0;
         return var2;
      }
   }

   public static Class579 method12235(boolean var0) {
      Stack var1 = aStack7620;
      synchronized(var1) {
         Class579 var2;
         if(aStack7620.isEmpty()) {
            var2 = new Class579();
         } else {
            var2 = (Class579)aStack7620.pop();
         }

         var2.aBool7619 = var0;
         return var2;
      }
   }

   static void method12236(Class579 var0) {
      var0.aClass515_Sub1_7618 = null;
      Stack var1 = aStack7620;
      synchronized(var1) {
         if(aStack7620.size() < 200) {
            aStack7620.push(var0);
         }

      }
   }

   static void method12237(Class579 var0) {
      var0.aClass515_Sub1_7618 = null;
      Stack var1 = aStack7620;
      synchronized(var1) {
         if(aStack7620.size() < 200) {
            aStack7620.push(var0);
         }

      }
   }

   static void method12238(Class579 var0) {
      var0.aClass515_Sub1_7618 = null;
      Stack var1 = aStack7620;
      synchronized(var1) {
         if(aStack7620.size() < 200) {
            aStack7620.push(var0);
         }

      }
   }

   public static void method12239() {
      Stack var0 = aStack7620;
      synchronized(var0) {
         aStack7620 = new Stack();
      }
   }

   static void method12240(Class579 var0) {
      var0.aClass515_Sub1_7618 = null;
      Stack var1 = aStack7620;
      synchronized(var1) {
         if(aStack7620.size() < 200) {
            aStack7620.push(var0);
         }

      }
   }

   public boolean method12241(Class545 var1, int var2, int var3) {
      int var4 = this.aClass515_Sub1_7618.method13392(-1624034717);
      if(null != this.aClass515_Sub1_7618.aClass89Array8446) {
         for(int var5 = 0; var5 < this.aClass515_Sub1_7618.aClass89Array8446.length; ++var5) {
            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 <<= var4;
            if(this.aClass515_Sub1_7618.aClass89Array8446[var5].method1780(-1694107173 * this.aClass576_7617.anInt7609 + var2, var3 + this.aClass576_7617.anInt7610 * 1946184583) && this.aClass515_Sub1_7618.method13391(var1, var2, var3, -741922479)) {
               this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
               return true;
            }

            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
         }
      }

      return false;
   }

   public boolean method12242(Class545 var1, int var2, int var3) {
      int var4 = this.aClass515_Sub1_7618.method13392(1855570122);
      if(null != this.aClass515_Sub1_7618.aClass89Array8446) {
         for(int var5 = 0; var5 < this.aClass515_Sub1_7618.aClass89Array8446.length; ++var5) {
            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 <<= var4;
            if(this.aClass515_Sub1_7618.aClass89Array8446[var5].method1780(-1694107173 * this.aClass576_7617.anInt7609 + var2, var3 + this.aClass576_7617.anInt7610 * 1946184583) && this.aClass515_Sub1_7618.method13391(var1, var2, var3, 2118839503)) {
               this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
               return true;
            }

            this.aClass515_Sub1_7618.aClass89Array8446[var5].anInt883 >>= var4;
         }
      }

      return false;
   }

   static final void method12243(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 42864631 * client.anInt7766 - 2100710321 * client.anInt7755;
   }

   static final void method12244(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class193.method3353(var3, var4, var0, -730668732);
   }

   static final void method12245(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class118_Sub1.aClass175_8204.method3056(var2, -334126327);
   }
}
